Bug 125778 - RFE: Rhythmbox needs to *background* play requests for internet radio
RFE: Rhythmbox needs to *background* play requests for internet radio
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 08:42 EDT by James Laska
Modified: 2013-09-02 01:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 15:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-06-11 08:42:51 EDT
# rhythmbox-0.8.4-1

When playing an internet radio station from my rhythmbox playlist,
occasionally the radio station drops off the map.  When I click play
for that station, rhythmbox GUI does not respond as it is probably
stuck on trying to connect to the radio station URL.  

Expected Result:
================
I would gather the correct solution would be to background the play
request somehow so that the GUI is still responsive.  That way if 10
seconds go past and I *assume* the radio station is down, I can just
click stop...or play on another station/file.
Comment 1 Colin Walters 2004-09-07 15:54:30 EDT
I completely agree, but it is a very difficult problem.  Basically
GStreamer needs to become asynchronous, and this involves redesigning
its architecture.

This bug is already filed upstream.
Comment 2 James Laska 2004-09-08 07:48:43 EDT
This will be tracked as gnome#128106
(http://bugzilla.gnome.org/show_bug.cgi?id=128106)
Comment 3 Colin Walters 2004-09-08 09:43:16 EDT
Thanks for adding the reference, I meant to put it in there.

Note You need to log in before you can comment on or make changes to this bug.